Settings
========

This section displays the current compiler version and allows one to change to another version.

![image](images/remix_settingstab.png)

Another important settings:

-   Text wrap: controls if the text in the editor should be wrapped.

- Enable optimization: defines if the compiler should enable optimization during compilation. Enabling this option saves execution gas. It is useful to enable optimization for contracts ready to be deployed in production but could lead to some inconsistencies when debugging such a contract.
